#include "partition.h"
#include <bits/stdc++.h>
using namespace std;
std::vector<int> solve(std::vector<int> A) {
    vector<int> freq(16777230);
    vector<int> ans;
    vector<bool> aux(A.size()+1,0);
    long long sum=0;
    for(int i=0;i<A.size();i++)
    {
        freq[A[i]]=i;
        sum+=A[i];
    }
    sum=sum/2;
    for(int i=0;i<25;i++)
    {
        if(sum & (1<<i))
        {
            ans.push_back(i);
            aux[i]=1;
        }
    }
    for(int i=0;i<A.size();i++)
    {
        if(aux[i]==0)
        {
            ans.push_back(i);
        }
    }
    return ans;
}
